/*	*********************************************	*/
/*	Mega Menu	*/
/*	*********************************************	*/

/*	Vertical align blurb image & text	*/
/* Media query for devices with a minimum width of 767 pixels */
@media (min-width: 767px) {
    /* Flexbox display for blurb content */
    .pa-vertical-align-blurb .et_pb_blurb_content {
        display: flex!important;
    }
    /* Flexbox display for blurb container */
    .pa-vertical-align-blurb .et_pb_blurb_container {
        display: flex!important;
        justify-content: center; /* Center align blurb container horizontally */
        flex-direction: column; /* Arrange blurb container content in a column */
    }
    /* Flexbox display for main blurb image */
    .et-db #et-boc .et-l .pa-vertical-align-blurb .et_pb_main_blurb_image {
        display: flex;
        width: auto!important; /* Ensure blurb image width adjusts automatically */
        margin-bottom: 0px!important; /* Remove bottom margin for better alignment */
    }
}

/*	*****************************************	*/
/* Création du voile sombre */
/*	*****************************************	*/
.dsm-submenu-inner-container::before {
    content: '';
    position: fixed; /* Fixe par rapport à la fenêtre du navigateur */
    top: 0;
    left: 0;
    width: 100vw; /* 100% de la largeur de la vue */
    height: 100vh; /* 100% de la hauteur de la vue */
    background: linear-gradient(
    	to bottom, 
       	rgba(0, 0, 0, 0) 0%,			/* Transparent au départ (en haut) */
        rgba(0, 0, 0, 0) 66px,		/* Devient sombre après 50 pixels de descente */
		rgba(0, 0, 0, 0.55) 222px,
        rgba(0, 0, 0, 0.88) 100%			/* Reste sombre jusqu'en bas */
    );
    z-index: -1; /* Se place DERRIÈRE le sous-menu */
    
	/* Animation fluide (optionnel) */
    opacity: 0;
    animation: fadeIn 0.3s forwards;
    pointer-events: none; /* Permet de ne pas bloquer les clics si bug */
}
/* Petite animation pour que l'ombre n'arrive pas trop brutalement */
@keyframes fadeIn {
    to { opacity: 1; }
}
